import { Serializer } from '@metaplex-foundation/umi/serializers';
import { PluginHeaderV1 } from '../generated';
import { AssetV1AccountData as GenAssetV1AccountData, AssetV1AccountDataArgs as GenAssetV1AccountDataArgs } from '../generated/types/assetV1AccountData';
import { AssetPluginsList, UpdateAuthority } from '../plugins';
import { ExternalPluginAdaptersList } from '../plugins/externalPluginAdapters';
export type AssetV1AccountData = Omit<GenAssetV1AccountData, 'updateAuthority'> & AssetPluginsList & ExternalPluginAdaptersList & {
    pluginHeader?: Omit<PluginHeaderV1, 'publicKey' | 'header'>;
    updateAuthority: UpdateAuthority;
};
export type AssetV1AccountDataArgs = Omit<GenAssetV1AccountDataArgs, 'updateAuthority'> & AssetPluginsList & {
    pluginHeader?: Omit<PluginHeaderV1, 'publicKey' | 'header'>;
    updateAuthority: UpdateAuthority;
};
export declare const getAssetV1AccountDataSerializer: () => Serializer<AssetV1AccountDataArgs, AssetV1AccountData>;
