import { Serializer } from '@metaplex-foundation/umi/serializers';
import { PluginHeaderV1 } from '../generated';
import { CollectionV1AccountData as GenCollectionV1AccountData, CollectionV1AccountDataArgs as GenCollectionV1AccountDataArgs } from '../generated/types/collectionV1AccountData';
import { CollectionPluginsList, ExternalPluginAdaptersList } from '../plugins';
export type CollectionV1AccountData = GenCollectionV1AccountData & CollectionPluginsList & ExternalPluginAdaptersList & {
    pluginHeader?: Omit<PluginHeaderV1, 'publicKey' | 'header'>;
};
export type CollectionV1AccountDataArgs = Omit<GenCollectionV1AccountDataArgs, 'updateAuthority'> & CollectionPluginsList & {
    pluginHeader?: Omit<PluginHeaderV1, 'publicKey' | 'header'>;
};
export declare const getCollectionV1AccountDataSerializer: () => Serializer<CollectionV1AccountDataArgs, CollectionV1AccountData>;
