import { Context } from '@metaplex-foundation/umi';
import { CollectionV1, AssetV1, UpdateV2InstructionDataArgs, updateV2 } from '../generated';
export type UpdateArgs = Omit<Parameters<typeof updateV2>[1], 'asset' | 'collection' | 'newName' | 'newUri'> & {
    asset: Pick<AssetV1, 'publicKey' | 'owner' | 'oracles' | 'lifecycleHooks'>;
    collection?: Pick<CollectionV1, 'publicKey' | 'oracles' | 'lifecycleHooks'>;
    name?: UpdateV2InstructionDataArgs['newName'];
    uri?: UpdateV2InstructionDataArgs['newUri'];
};
export declare const update: (context: Pick<Context, 'payer' | 'programs' | 'eddsa'>, { asset, collection, name, uri, ...args }: UpdateArgs) => import("@metaplex-foundation/umi").TransactionBuilder;
