"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.externalPluginAdapterKeyToBase = void 0;
const pluginAuthority_1 = require("./pluginAuthority");
const linkedDataKey_1 = require("./linkedDataKey");
function externalPluginAdapterKeyToBase(e) {
    switch (e.type) {
        case 'Oracle':
            return {
                __kind: e.type,
                fields: [e.baseAddress],
            };
        case 'AppData':
        case 'LinkedAppData':
            return {
                __kind: e.type,
                fields: [(0, pluginAuthority_1.pluginAuthorityToBase)(e.dataAuthority)],
            };
        case 'LifecycleHook':
            return {
                __kind: e.type,
                fields: [e.hookedProgram],
            };
        case 'DataSection':
            return {
                __kind: e.type,
                fields: [(0, linkedDataKey_1.linkedDataKeyToBase)(e.parentKey)],
            };
        default:
            throw new Error('Unknown ExternalPluginAdapterKey type');
    }
}
exports.externalPluginAdapterKeyToBase = externalPluginAdapterKeyToBase;
//# sourceMappingURL=externalPluginAdapterKey.js.map